Bug 315593 - Dolphin shows empty file list when switching view mode from "details" to "icons" or "compact" in timeline:/
Summary: Dolphin shows empty file list when switching view mode from "details" to "ico...
Status: RESOLVED FIXED
Alias: None
Product: dolphin
Classification: Unclassified
Component: view-engine: details mode (show other bugs)
Version: 2.2
Platform: Other Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Dolphin Bug Assignee
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-21 20:47 UTC by Janek Bevendorff
Modified: 2013-02-27 13:04 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.11.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Janek Bevendorff 2013-02-21 20:47:22 UTC
When you're in "details" view mode and open a timeline:/ path to show, e.g., files modified today, you get a weird broken tree view as described in Bug 312890.

Now when you switch the view mode to "compact" or "icons" Dolphin renders an empty file list as if there were no matching files at all. Hitting F5 to reload the view or changing the current location to some other path and then back to where you were brings back the file list.

This bug does not appear when you are in "compact" or "icons" mode.

Reproducible: Always
Comment 1 Emmanuel Pescosta 2013-02-21 22:30:47 UTC
I can reproduce this bug in Dolphin 2.2

Hello Janek, thanks for the report, I think this patch https://git.reviewboard.kde.org/r/109045/ will solve the problem ;) 

Can you please test it? Thanks
Comment 2 Emmanuel Pescosta 2013-02-27 13:04:09 UTC
Git commit 8008bc233d8447794df6f4cdc8c3f0ee7e8ac628 by Emmanuel Pescosta.
Committed on 27/02/2013 at 13:35.
Pushed by emmanuelp into branch 'master'.

Big Thanks to Frank Reininghaus, who helped me a lot with these
changes! :)

* Fixed the "Network browser" and "timeline" issues, by using the
KDirLister's itemsAdded(KUrl,KFileItemList) signal -> Use the
given Url to define the parent-child relationship.

* Changed the name of the slot "slotNewItems" to "slotItemsAdded"
for consistency with the signal.

* Use a QHash<KFileItem, ItemData*> instead of a QSet<KFileItem> to
store the filtered data (needed to keep the O(1) lookup for filtered
KFileItems in slotItemsDeleted + needed to fix bug 311912 "After
erasing a filter, some thumbnails randomly disappear")

* Made the determination of the "expandedParentsCount" slightly
simpler - just adding 1 to the parent's level (Also needed to fix the
"Network browser" and "timeline" issues)

FIXED-IN: 4.11.0
REVIEW: 109180
Related: bug 304565, bug 311912, bug 312890

M  +69   -64   dolphin/src/kitemviews/kfileitemmodel.cpp
M  +13   -8    dolphin/src/kitemviews/kfileitemmodel.h
M  +9    -3    dolphin/src/tests/kfileitemmodelbenchmark.cpp
M  +1    -1    dolphin/src/tests/kfileitemmodeltest.cpp

http://commits.kde.org/kde-baseapps/8008bc233d8447794df6f4cdc8c3f0ee7e8ac628